Subject: bug#19055: comint-previous-matching-input-from-input broken by fix for #13404

From: John Valente <[email-masked]>
Date: Fri, 14 Nov 2014 09:12:16 -0800

Bug #13404 complained that comint-previous-matching-input-from-input moved the point to the end of the line, and that this was a bug because it was incompatible with bash and zsh.

I really have no idea where this comes from.  Actually, bash and zsh do move the cursor to the end of the input.  But even if they didn't, the "old" behavior is something that Emacs users have used and appreciated for many years.

If someone wants behavior where the point doesn't move as you cycle through the history, that could be a reasonable request, but that should be controlled by a variable or a symbol property or something.  To simply change the behavior, without providing a straightforward option to get back the old behavior, is absurd.

Obviously there is a workaround: in my personal emacs files, I now define my own version of comint-previous-matching-input-from-input.  But this is silly.  I don't want to have to define my own version of basic functions.

I suggest reverting the change.

Thanks,
John